
Allied Telesis AT-FS750/28-50 Managed Fast Ethernet (10/100) 1U Grey
Model AT-FS750/28-50Part no. 990-004644-50EAN 767035203942
50 specifications
- Type1U
- Weight2.2 kg
- ColourGrey
- Switch typeManaged
- Basic switching RJ-45 Ethernet ports quantity28
- 10G supportNo
Overview
- Type
- 1U
- Weight
- 2.2 kg
- Colour
- Grey
- Switch type
- Managed
- Basic switching RJ-45 Ethernet ports quantity
- 28
- 10G support
- No
- Brand
- Allied Telesis
- Category
- Network Switch
- Model
- AT-FS750/28-50
- Part number
- 990-004644-50
- EAN / UPC
- 767035203942
- Also known as
- Allied Telesis AT-FS750/28-50 Managed Fast Ethernet (10/100) 1U Grey
Specifications
50 specifications in 13 groups
Management features
| Specification | Value |
|---|---|
| Switch type | Managed |
| Quality of Service (QoS) support | Yes |
| Web-based management | Yes |
| System event log | Yes |
| MIB support | RFC 1213 MIB-II, RFC 1643 Ethernet MIB, RFC 1493 Bridge MIB, RFC 2131 DHCP client, Private Enterprise MIB |
Ports & interfaces
| Specification | Value |
|---|---|
| Basic switching RJ-45 Ethernet ports quantity | 28 |
| Basic switching RJ-45 Ethernet ports type | Fast Ethernet (10/100) |
| Fast Ethernet (copper) ports quantity | 24 |
| Gigabit Ethernet (copper) ports quantity | 2 |
| Installed SFP modules quantity | 0 |
| Installed SFP+ modules quantity | 0 |
| Combo SFP ports quantity | 2 |
Network
| Specification | Value |
|---|---|
| Networking standards | IEEE 802.11d, IEEE 802.1Q, IEEE 802.1p, IEEE 802.1s, IEEE 802.1w, IEEE 802.1x, IEEE 802.3ad, IEEE 802.3af, IEEE 802.3at, IEEE 802.3az, IEEE 802.3u, IEEE 802.3x, IEEE 802.3z |
| 10G support | No |
| Port mirroring | Yes |
| Broadcast storm control | Yes |
| Flow control support | Yes |
| Head-of-line (HOL) blocking | Yes |
| Link aggregation | Yes |
| Rate limiting | Yes |
| Spanning tree protocol | Yes |
| Virtual LAN features | Tagged VLAN, Port-based VLAN |
Data transmission
| Specification | Value |
|---|---|
| MAC address table | 8000 entries |
| Switching capacity | 12.8 Gbit/s |
| Number of queues | 4 |
| Jumbo frames support | Yes |
| Packet forwarding rate (1 Gbps) | 1488000 pps |
| Packet forwarding rate (10 Mbps) | 14880 pps |
| Packet forwarding rate (100 Mbps) | 148800 pps |
Security
| Specification | Value |
|---|---|
| DHCP features | DHCP client |
| Access Control List (ACL) | Yes |
| IGMP snooping | Yes |
| Authentication | MAC-based authentication |
| MAC address filtering | Yes |
Multicast features
| Specification | Value |
|---|---|
| Multicast support | Yes |
| Number of multicast groups filtered | 256 |
Design
| Specification | Value |
|---|---|
| Rack mounting | Yes |
| Form factor | 1U |
| Product colour | Grey |
Power
| Specification | Value |
|---|---|
| AC input voltage | 100 - 240 V |
| AC input frequency | 50 - 60 Hz |
| Power consumption (max) | 8.7 W |
Power over Ethernet (PoE)
| Specification | Value |
|---|---|
| Power over Ethernet (PoE) | No |
Operational conditions
| Specification | Value |
|---|---|
| Operating temperature (T-T) | 0 - 40 °C |
Weight & dimensions
| Specification | Value |
|---|---|
| Width | 330 mm |
| Depth | 18 mm |
| Height | 44 mm |
| Weight | 2.2 kg |
Packaging content
| Specification | Value |
|---|---|
| Cables included | AC |
Logistics data
| Specification | Value |
|---|---|
| Harmonized System (HS) code | 85176990 |
What people say
Reviews & ratings
Allied Telesis AT-FS750/28-50 Managed Fast Ethernet (10/100) 1U Grey
No reviews yet
Be the first to tell others how Allied Telesis AT-FS750/28-50 Managed Fast Ethernet (10/100) 1U Grey works for you.
Write the first review- Every rating countsLow ratings are never hidden, removed or pushed down.
- Written by people, never paidNo incentives, no edits — only spam and abuse are removed.
- Private by designOnly the name you choose is shown. No account, no e-mail, nothing tracked.
Compare Allied Telesis AT-FS750/28-50 Managed Fast Ethernet (10/100) 1U Grey
All network switch comparisons- Allied Telesis AT-FS750/28-50 Managed Fast Ethernet (10/100) 1U Grey vsAllied Telesis AT-FS750/20-50 Managed Fast Ethernet (10/100) 1U GreyCompare specs
- Allied Telesis AT-FS750/28-50 Managed Fast Ethernet (10/100) 1U Grey vsAllied Telesis AT-FS750/52-50 Managed Fast Ethernet (10/100) 1U GreyCompare specs
- Allied Telesis AT-FS750/28-50 Managed Fast Ethernet (10/100) 1U Grey vsAllied Telesis AT-GS948MPX-50 Managed L3 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) GreyCompare specs
- Allied Telesis AT-FS750/28-50 Managed Fast Ethernet (10/100) 1U Grey vsAllied Telesis AT-GS924MX-50 Managed L2 Gigabit Ethernet (10/100/1000) GreyCompare specs
- Allied Telesis AT-FS750/28-50 Managed Fast Ethernet (10/100) 1U Grey vsIntellinet 561105 network switch Managed L2+ Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U BlackCompare specs
- Allied Telesis AT-FS750/28-50 Managed Fast Ethernet (10/100) 1U Grey vsFujitsu Brocade 6510Compare specs
- Allied Telesis AT-FS750/28-50 Managed Fast Ethernet (10/100) 1U Grey vsTP-Link JetStream 24-Port Gigabit SmartCompare specs
- Allied Telesis AT-FS750/28-50 Managed Fast Ethernet (10/100) 1U Grey vsNETGEAR GS316 Unmanaged Gigabit Ethernet (10/100/1000) BlackCompare specs
Similar products
All network switchesD-Link
DGS-3130 Series Gigabit Layer 3 Stackable Managed Switches
Model DGS-3130-30PS
- Noise
- 53.4 dB
- Weight
- 4.66 kg
- Colour
- Black, Grey
D-Link
48-port Layer 3 Stackable Managed Gigabit Switch including
Model DGS-3630-52TC
- Noise
- 53.9 dB
- Type
- 1U
- Weight
- 4.04 kg
D-Link
24-Port L3 Stackable Managed Gigabit Switch including
Model DGS-3630-28TC
- Noise
- 52.7 dB
- Type
- 1U
- Weight
- 3.74 kg
LevelOne
18-Port L2 Plus Managed Industrial PoE Switch
Model IGP-1871
- Memory
- 512 MB
- Weight
- 1.55 kg
- Colour
- Black
D-Link
24-Port SFP L3 Stackable Managed Gigabit Switch including
Model DGS-3630-28SC
- Noise
- 56 dB
- Type
- 1U
- Weight
- 3.79 kg
D-Link
28-Port Gigabit PoE+ Smart Managed Switch including
Model DGS-1210-28MP
- Memory
- 128 MB
- Noise
- 52.4 dB
- Type
- 1U
NETGEAR
M4350-36X4V network switch Managed L3
Model M4350-36X4V
- Processor
- ARM Cortex-A57
- Memory
- 4096 MB
- Noise
- 54 dB



















